/**
 * @author: Zhu.QF
 * @Date: 2019/12/25 14:35
 */

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Rollback;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.result.MockMvcResultHandlers;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.context.WebApplicationContext;

/**
 * @program: testdbhaha
 *
 * @description:
 *
 * @author: Zhuqf
 *
 * @Date: 2019/12/25 14:35 
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:spring-mvc.xml","classpath:spring-mybatis.xml" })
@WebAppConfiguration
public class GoodsControlllerMock {
    @Autowired
    private WebApplicationContext wac;

    private MockMvc mockMvc;

    @Before
    public  void setUp(){
        mockMvc=MockMvcBuilders.webAppContextSetup(wac).build();
    }

    @Test
    public void getAll() throws  Exception{
     /*   mockMvc.perform(
                //GET请求
                MockMvcRequestBuilders.get("/goods/getAll")
        ).andDo(MockMvcResultHandlers.print());//输出整个响应结果信息*/


        mockMvc.perform(
                //GET请求
                MockMvcRequestBuilders.get("/goods/getAll2")
        ).andDo(MockMvcResultHandlers.print());//输出整个响应结果信息
    }
}
